Project

General

Profile

Project management #32260

monter le niveau de compatibility debhelper

Added by Frédéric Péters 2 months ago. Updated 2 months ago.

Status:
Solution déployée
Priority:
Normal
Category:
-
Target version:
-
Start date:
13 Apr 2019
Due date:
% Done:

0%

Patch proposed:
No
Planning:
No
Demande du club utilisateur:
No

Description

Actuellement pas mal de nos modules ont encore un debian/compat à 7, c'est obsolète et même en gardant encore jessie comme cible ça peut être monté à 9 (voire 10 avec le debhelper qui y est dispo en backport). debhelper(1) a une section sur les changements de comportements adoptés selon les niveaux.

Associated revisions

Revision 1e0dddfb (diff)
Added by Christophe Siraut 2 months ago

debian: bump debhelper compatibility level (#32260)

History

#1 Updated by Frédéric Péters 2 months ago

Exemple avec Chrono : https://git.entrouvert.org/chrono.git/commit/?id=02d30ba1385138dc8d223cc32b3e916e3088f143

(je pense que quelqu'un peut prendre ce ticket et faire toutes les applications en bloc, sans passer par ticket/patch/relecture par application).

#2 Updated by Christophe Siraut 2 months ago

  • Assignee set to Christophe Siraut

#3 Updated by Christophe Siraut 2 months ago

  • Status changed from Nouveau to Solution déployée

Also available in: Atom PDF